# Class MathDegree

#### Hierarchy

- XmlComponent
  - MathDegree

- Defined in src/file/paragraph/math/radical/math-degree.ts:5

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new MathDegree(children?: MathComponent[]): MathDegree

- #### Parameters

  - ##### `Optional` children: MathComponent[]

  #### Returns MathDegree

  Overrides XmlComponent.constructor

  - Defined in src/file/paragraph/math/radical/math-degree.ts:6

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:34

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:15

Generated using TypeDoc